Subject: bug#74217: closed (Re: Bootstrapping Zig with no Binary Blobs)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 31 Dec 2024 15:41:02 +0000

Your bug report

#74217: Bootstrapping Zig with no Binary Blobs

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74217: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74217
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Bootstrapping Zig with no Binary Blobs
From: Hilton Chain <[email-masked]>
To: [email-masked]
Cc: Motiejus Jakštys<[email-masked]>, Noé Lopez <[email-masked]>, dan <[email-masked]>, Efraim Flashner <[email-masked]>, Ekaitz Zarraga <[email-masked]>
Date: Tue, 31 Dec 2024 22:49:54 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, 28 Nov 2024 19:08:09 +0800,
Hilton Chain wrote:
>
> I think this is mostly ready ( again :) ).  If there's nothing else missing,
> I'll post the current status and call for packages to test the build system on
> guix-devel.

Applied Zig bootstrap as 40b9f33066...42e32d52c3.

I'll delete wip-zig-bootstrap, move Zig libraries left there (currently unused
by other packages) to zig-team branch and continue the bootstrap chain on
zig-next branch.

Manifest for all Zig packages is available at "etc/teams/zig/zig-manifest.scm".

BTW I just realised that on reusing procedures from Guix, `guix repl' is more
convenient than `guile -c' in terms of load paths:
--8<---------------cut here---------------start------------->8---
echo "((assoc-ref (@ (guix build zig-build-system) %standard-phases) 'unpack-dependencies))" | guix repl -t machine
--8<---------------cut here---------------end--------------->8---

Builds on ci.guix.gnu.org is a bit slower than my estimation, but hopefully
we'll have x86_64-linux substitutes on 2025-01-01. :)

Closing.

Subject: Bootstrapping Zig with no Binary Blobs
From: Ekaitz Zarraga <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: Hilton Chain <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Tue, 5 Nov 2024 22:47:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

In order to include modern versions of Zig (Zig 0.12+) in Guix, we need 
to remove the binary blobs.

I open this issue to track this effort and store information about the 
process.

Some Guix user is trying to achieve the same goal:

https://git.jakstys.lt/motiejus/zig-repro

And discussing about it here:

https://ziggit.dev/t/building-self-hosted-from-the-original-c-implementation/6607/11

We could use that effort as a reference and package it to Guix.